# Enum Class Spectrum.IRMode

java.lang.Object
java.lang.Enum<Spectrum.IRMode>
jspecview.common.Spectrum.IRMode

All Implemented Interfaces:
  `Serializable, Comparable<Spectrum.IRMode>, Constable`

Enclosing class:
  `Spectrum`

public static enum Spectrum.IRMode extends Enum<Spectrum.IRMode>

Author:
  Bob Hanson, Debbie-Ann Facey, Khari A. Bryan, Prof Robert J. Lancashire

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NO_CONVERT`
`TO_ABS`
`TO_TRANS`
`TOGGLE`

## Method Summary

Modifier and Type
Method
Description
`static Spectrum.IRMode`
`getMode(String value)`
`static Spectrum.IRMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Spectrum.IRMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_CONVERT

public static final Spectrum.IRMode NO_CONVERT

### TO_TRANS

public static final Spectrum.IRMode TO_TRANS

### TO_ABS

public static final Spectrum.IRMode TO_ABS

### TOGGLE

public static final Spectrum.IRMode TOGGLE

## Method Details

### values

public static Spectrum.IRMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Spectrum.IRMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getMode

public static Spectrum.IRMode getMode(String value)